import React, {Component} from 'react'

class LangProvider extends Component {

  static childContextTypes = {
    lang: React.PropTypes.string.isRequired,
    setLang: React.PropTypes.func.isRequired
  }

  componentWillMount = () => {
    this.setState({
      lang: this.props.lang || window.localStorage.lang || 'en'
    })
  }

  getChildContext = () => {
    const that = this
    return {
      lang: this.state.lang,
      setLang: (lang) => {
        that.setState({lang: lang})
      }
    }
  }

  render() {
    return this.props.children
  }
}

export default LangProvider