import React, {Component, isValidElement, Children, createElement, DOM} from 'react'

const create = (lang) => {

  class Language extends Component {

    static defaultProps = {
      tag: 'span'
    }

    static contextTypes = {
      lang: React.PropTypes.string.isRequired
    }

    static propTypes = {
      children: React.PropTypes.any,
      tag: React.PropTypes.string
    }

    render () {
      const {children, tag} = this.props
      const currentLang = this.context.lang
      if (currentLang != lang) return DOM.noscript()
      if (isValidElement(children)) return Children.only(children)
      return createElement(tag, {}, children)
    }
  }

  return Language

}

export default create